Bug 874635 - [abrt] pkgwat-0.3-3.fc18: commandmanager.py:65:find_command:ValueError: Unknown command ['ruby']
Summary: [abrt] pkgwat-0.3-3.fc18: commandmanager.py:65:find_command:ValueError: Unkno...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pkgwat
Version: 18
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ralph Bean
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:f5d64ba58e1494ac7211bb65b5c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-08 15:00 UTC by Vít Ondruch
Modified: 2012-11-10 03:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-10 03:13:53 UTC
Type: ---


Attachments (Terms of Use)
File: core_backtrace (502 bytes, text/plain)
2012-11-08 15:00 UTC, Vít Ondruch
no flags Details
File: executable (15 bytes, text/plain)
2012-11-08 15:00 UTC, Vít Ondruch
no flags Details
File: environ (2.79 KB, text/plain)
2012-11-08 15:00 UTC, Vít Ondruch
no flags Details
File: dso_list (30 bytes, text/plain)
2012-11-08 15:00 UTC, Vít Ondruch
no flags Details

Description Vít Ondruch 2012-11-08 15:00:23 UTC
Description of problem:
I used unknow command, e.g. "pkgwat ruby"

Version-Release number of selected component:
pkgwat-0.3-3.fc18

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
cmdline:        /usr/bin/python /usr/bin/pkgwat ruby
kernel:         3.6.6-3.fc18.x86_64

backtrace:
:commandmanager.py:65:find_command:ValueError: Unknown command ['ruby']
:
:Traceback (most recent call last):
:  File "/usr/bin/pkgwat", line 9, in <module>
:    load_entry_point('pkgwat.cli==0.3', 'console_scripts', 'pkgwat')()
:  File "/usr/lib/python2.7/site-packages/pkgwat/cli/main.py", line 38, in main
:    return myapp.run(argv)
:  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 160, in run
:    result = self.run_subcommand(remainder)
:  File "/usr/lib/python2.7/site-packages/cliff/app.py", line 205, in run_subcommand
:    subcommand = self.command_manager.find_command(argv)
:  File "/usr/lib/python2.7/site-packages/cliff/commandmanager.py", line 65, in find_command
:    (argv,))
:ValueError: Unknown command ['ruby']
:
:Local variables in innermost frame:
:argv: ['ruby']
:self: <cliff.commandmanager.CommandManager object at 0x1bafdd0>
:next_val: 'ruby'
:name: 'ruby'
:search_args: []

Comment 1 Vít Ondruch 2012-11-08 15:00:28 UTC
Created attachment 640857 [details]
File: core_backtrace

Comment 2 Vít Ondruch 2012-11-08 15:00:33 UTC
Created attachment 640858 [details]
File: executable

Comment 3 Vít Ondruch 2012-11-08 15:00:37 UTC
Created attachment 640859 [details]
File: environ

Comment 4 Vít Ondruch 2012-11-08 15:00:40 UTC
Created attachment 640860 [details]
File: dso_list

Comment 5 Fedora Update System 2012-11-08 17:14:45 UTC
pkgwat-0.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/pkgwat-0.4-1.fc18

Comment 6 Fedora Update System 2012-11-09 03:27:40 UTC
Package pkgwat-0.4-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pkgwat-0.4-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17838/pkgwat-0.4-1.fc18
then log in and leave karma (feedback).


Note You need to log in before you can comment on or make changes to this bug.